%define libversion	0.0.2
%define major		0
%define libname		%mklibname %{name} %{libversion} %{major}
%define develname	%mklibname %{name} %{libversion} -d

Name:		clutter-gesture
Version:	0.0.2.1
Release:	%mkrel 7
Summary:	Gesture Library for Clutter
Group:		System/Libraries
License:	LGPLv2+ and MIT
URL:		http://moblin.org/projects/clutter-gesture
Source0:	http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch1:		clutter-gesture-0.0.2-build.patch

BuildRequires:	clutter-devel
BuildRequires:	glib2-devel

%description
This library allows clutter applications to be aware of gestures 
and to easily attach some handlers to the gesture events. The library 
supports both single and multi touch.

%package -n %{libname}
Summary:	Gesture Library for Clutter
Group:		System/Libraries

%description -n %{libname}
This library allows clutter applications to be aware of gestures
and to easily attach some handlers to the gesture events. The library
supports both single and multi touch.

%package -n %{develname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%prep
%setup -q
%apply_patches

# don't treat warnings as errors
sed -i -e 's,-Werror,,g' configure.ac

# The NEWS file contains the license so use it as a COPYING file. Upstream has been contacted to resolve the issue
cp NEWS COPYING

%build
# run autogen.sh until we have a proper release, but don't run configure twice.
#sed -i '/configure/d' autogen.sh
#./autogen.sh
autoreconf -vfi

%configure2_5x --disable-static
%make CFLAGS+="-DGLIB_DISABLE_DEPRECATION_WARNINGS -DCLUTTER_DISABLE_DEPRECATION_WARNINGS" LIBS=-lm V=1

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{libname}
%doc COPYING
%{_libdir}/libcluttergesture-%{libversion}.so.%{major}*
%{_libdir}/libengine.so.%{major}*

%files -n %{develname}
%{_libdir}/libcluttergesture-%{libversion}.so
%{_libdir}/libengine.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.0.2.1-7.mga5
+ Revision: 750608
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.0.2.1-6.mga5
+ Revision: 693637
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2.1-5.mga5
+ Revision: 678442
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2.1-4.mga4
+ Revision: 503412
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.0.2.1-3.mga3
+ Revision: 347927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 22 2011 wally <wally> 0.0.2.1-2.mga2
+ Revision: 171062
- rebuild for new clutter
- workaround some build problems

* Sat Jul 02 2011 wally <wally> 0.0.2.1-1.mga2
+ Revision: 117363
- new version 0.0.2.1

* Tue Jun 28 2011 wally <wally> 0.0.2-1.mga2
+ Revision: 115435
- add more provides to -devel package
- clean .spec

  + cjw <cjw>
    - imported package clutter-gesture


* Sat Jun 25 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.0.2-1
- adapt fedora package to mageia packaging policy

* Sat Dec 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-2
- Review updates

* Tue Sep 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-1
- Initial packaging
